CRAN Package Check Results for Package rsvg

Last updated on 2021-04-14 02:46:55 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.1 3.20 29.04 32.24 OK
r-devel-linux-x86_64-debian-gcc 2.1 2.25 22.53 24.78 OK
r-devel-linux-x86_64-fedora-clang 2.1 48.89 NOTE
r-devel-linux-x86_64-fedora-gcc 2.1 40.39 NOTE
r-devel-windows-ix86+x86_64 2.1 25.00 208.00 233.00 WARN
r-devel-windows-x86_64-gcc10-UCRT 2.1 OK
r-patched-linux-x86_64 2.1 2.66 27.13 29.79 OK
r-release-linux-x86_64 2.1 2.67 27.46 30.13 OK
r-release-macos-x86_64 2.1 NOTE
r-release-windows-ix86+x86_64 2.1 22.00 178.00 200.00 WARN
r-oldrel-macos-x86_64 2.1 NOTE
r-oldrel-windows-ix86+x86_64 2.1 30.00 158.00 188.00 WARN

Check Details

Version: 2.1
Check: top-level files
Result: NOTE
    ‘configure’: ‘env bash’ is not portable as bash need not be installed
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 2.1
Check: installed package size
Result: NOTE
     installed size is 29.6Mb
     sub-directories of 1Mb or more:
     libs 29.3Mb
Flavors: r-devel-windows-ix86+x86_64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 2.1
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
    --- re-building 'svg-css.Rmd' using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     The vignette engine knitr::rmarkdown is not available because the rmarkdown package is not available. Did you forget to add it to Suggests in DESCRIPTION? Please see https://github.com/yihui/knitr/issues/1864 for more information.
    Quitting from lines 84-87 (svg-css.Rmd)
    Error: processing vignette 'svg-css.Rmd' failed with diagnostics:
    cannot open the connection
    --- failed re-building 'svg-css.Rmd'
    
    SUMMARY: processing the following file failed:
     'svg-css.Rmd'
    
    Error: Vignette re-building failed.
    Execution halted
Flavors: r-devel-windows-ix86+x86_64, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64